Dedicated Hosts - Get

Retrieves information about a dedicated host.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Compute/hostGroups/{hostGroupName}/hosts/{hostName}?api-version=2026-04-01
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Compute/hostGroups/{hostGroupName}/hosts/{hostName}?api-version=2026-04-01&$expand={$expand}

URI Parameters

Name In Required Type Description
hostGroupName
path True

string

The name of the dedicated host group.

hostName
path True

string

The name of the dedicated host.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string

minLength: 1

The ID of the target subscription.

api-version
query True

string

minLength: 1

The API version to use for this operation.

$expand
query

InstanceViewTypes

The expand expression to apply on the operation. 'InstanceView' will retrieve the list of instance views of the dedicated host. 'UserData' is not supported for dedicated host.

Responses

Name Type Description
200 OK

DedicatedHost

Azure operation completed successfully.

Other Status Codes

CloudError

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Get a dedicated host.

Sample request

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/myResourceGroup/providers/Microsoft.Compute/hostGroups/myDedicatedHostGroup/hosts/myHost?api-version=2026-04-01&$expand=instanceView

Sample response

{
  "id": "/subscriptions/{subscription-id}/resourceGroups/myResourceGroup/providers/Microsoft.Compute/HostGroups/myDedicatedHostGroup/hosts/myHost",
  "properties": {
    "platformFaultDomain": 1,
    "autoReplaceOnFailure": true,
    "hostId": "{GUID}",
    "provisioningTime": "2019-06-27T01:02:38.3138469+00:00",
    "virtualMachines": [
      {
        "id": "/subscriptions/subId/resourceGroups/myResourceGroup/providers/Microsoft.Compute/virtualMachines/vm1"
      }
    ],
    "provisioningState": "Succeeded",
    "instanceView": {
      "assetId": "eb3f58b8-b4e8-4882-b69f-301a01812407",
      "availableCapacity": {
        "allocatableVMs": [
          {
            "vmSize": "Standard_A1",
            "count": 10
          }
        ]
      },
      "statuses": [
        {
          "code": "ProvisioningState/succeeded",
          "level": "Info",
          "displayStatus": "Provisioning succeeded"
        },
        {
          "code": "HealthState/available",
          "level": "Info",
          "displayStatus": "Host available"
        }
      ]
    },
    "timeCreated": "2019-06-27T01:02:38.3138469+00:00"
  },
  "location": "westus",
  "tags": {
    "department": "HR"
  },
  "sku": {
    "name": "DSv3-Type1"
  },
  "name": "myHost"
}

Definitions

Name Description
ApiError

Api error.

ApiErrorBase

Api error base.

CloudError

An error response from the Compute service.

createdByType

The type of identity that created the resource.

DedicatedHost

Specifies information about the Dedicated host.

DedicatedHostAllocatableVM

Represents the dedicated host unutilized capacity in terms of a specific VM size.

DedicatedHostAvailableCapacity

Dedicated host unutilized capacity.

DedicatedHostInstanceView

The instance view of a dedicated host.

DedicatedHostLicenseTypes

Specifies the software license type that will be applied to the VMs deployed on the dedicated host. Possible values are: None, Windows_Server_Hybrid, Windows_Server_Perpetual. The default value is: None.

InnerError

Inner error details.

InstanceViewStatus

Instance view status.

InstanceViewTypes
Sku

Describes a virtual machine scale set sku. NOTE: If the new VM SKU is not supported on the hardware the scale set is currently on, you need to deallocate the VMs in the scale set before you modify the SKU name.

StatusLevelTypes

The level code.

SubResourceReadOnly
systemData

Metadata pertaining to creation and last modification of the resource.

ApiError

Api error.

Name Type Description
code

string

The error code.

details

ApiErrorBase[]

The Api error details

innererror

InnerError

The Api inner error

message

string

The error message.

target

string

The target of the particular error.

ApiErrorBase

Api error base.

Name Type Description
code

string

The error code.

message

string

The error message.

target

string

The target of the particular error.

CloudError

An error response from the Compute service.

Name Type Description
error

ApiError

Api error.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

DedicatedHost

Specifies information about the Dedicated host.

Name Type Description
id

string

Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

location

string

The geo-location where the resource lives

name

string

The name of the resource

properties.autoReplaceOnFailure

boolean

Specifies whether the dedicated host should be replaced automatically in case of a failure. The value is defaulted to 'true' when not provided.

properties.hostId

string

A unique id generated and assigned to the dedicated host by the platform. Does not change throughout the lifetime of the host.

properties.instanceView

DedicatedHostInstanceView

The dedicated host instance view.

properties.licenseType

DedicatedHostLicenseTypes

Specifies the software license type that will be applied to the VMs deployed on the dedicated host. Possible values are: None, Windows_Server_Hybrid, Windows_Server_Perpetual. The default value is: None.

properties.platformFaultDomain

integer (int32)

Fault domain of the dedicated host within a dedicated host group.

properties.provisioningState

string

The provisioning state, which only appears in the response.

properties.provisioningTime

string (date-time)

The date when the host was first provisioned.

properties.timeCreated

string (date-time)

Specifies the time at which the Dedicated Host resource was created. Minimum api-version: 2021-11-01.

properties.virtualMachines

SubResourceReadOnly[]

A list of references to all virtual machines in the Dedicated Host.

sku

Sku

SKU of the dedicated host for Hardware Generation and VM family. Only name is required to be set. List Microsoft.Compute SKUs for a list of possible values.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

tags

object

Resource tags.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

DedicatedHostAllocatableVM

Represents the dedicated host unutilized capacity in terms of a specific VM size.

Name Type Description
count

number (double)

Maximum number of VMs of size vmSize that can fit in the dedicated host's remaining capacity.

vmSize

string

VM size in terms of which the unutilized capacity is represented.

DedicatedHostAvailableCapacity

Dedicated host unutilized capacity.

Name Type Description
allocatableVMs

DedicatedHostAllocatableVM[]

The unutilized capacity of the dedicated host represented in terms of each VM size that is allowed to be deployed to the dedicated host.

DedicatedHostInstanceView

The instance view of a dedicated host.

Name Type Description
assetId

string

Specifies the unique id of the dedicated physical machine on which the dedicated host resides.

availableCapacity

DedicatedHostAvailableCapacity

Unutilized capacity of the dedicated host.

statuses

InstanceViewStatus[]

The resource status information.

DedicatedHostLicenseTypes

Specifies the software license type that will be applied to the VMs deployed on the dedicated host. Possible values are: None, Windows_Server_Hybrid, Windows_Server_Perpetual. The default value is: None.

Value Description
None
Windows_Server_Hybrid
Windows_Server_Perpetual

InnerError

Inner error details.

Name Type Description
errordetail

string

The internal error message or exception dump.

exceptiontype

string

The exception type.

InstanceViewStatus

Instance view status.

Name Type Description
code

string

The status code.

displayStatus

string

The short localizable label for the status.

level

StatusLevelTypes

The level code.

message

string

The detailed status message, including for alerts and error messages.

time

string (date-time)

The time of the status.

InstanceViewTypes

Value Description
instanceView
userData
resiliencyView

Sku

Describes a virtual machine scale set sku. NOTE: If the new VM SKU is not supported on the hardware the scale set is currently on, you need to deallocate the VMs in the scale set before you modify the SKU name.

Name Type Description
capacity

integer (int64)

Specifies the number of virtual machines in the scale set.

name

string

The sku name.

tier

string

Specifies the tier of virtual machines in a scale set.

Possible Values:

Standard

Basic

StatusLevelTypes

The level code.

Value Description
Info
Warning
Error

SubResourceReadOnly

Name Type Description
id

string

Resource Id

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.